<?xml version="1.0" encoding="UTF-8"?>

<templates>

	<template name="if" description="preprocess if statement"
		id="org.eclipse.mtj.ui.templates.if" context="org.eclipse.mtj.preprocess"
		enabled="true" autoinsert="false">//#if ${expression}
	${cursor}
//#endif
	</template>
	
	<template name="ifelse" description="preprocess if else statement"
		id="org.eclipse.mtj.ui.templates.ifelse" context="org.eclipse.mtj.preprocess"
		enabled="true" autoinsert="false">//#if ${expression1}
	${cursor}
//#elif ${expression2}

//#endif
	</template>
	
	<template name="ifdef" description="preprocess ifdef statement"
		id="org.eclipse.mtj.ui.templates.ifdef" context="org.eclipse.mtj.preprocess"
		enabled="true" autoinsert="false">//#ifdef ${symbol}
	${cursor}
//#endif
	</template>
	
	<template name="ifdefelse" description="preprocess ifdef elifdef statement"
		id="org.eclipse.mtj.ui.templates.ifdefelse" context="org.eclipse.mtj.preprocess"
		enabled="true" autoinsert="false">//#ifdef ${symbol1}
	${cursor}
//#elifdef ${symbol2}
		
//#endif
	</template>

	<template name="mdebug" description="debug multi lines statement"
		id="org.eclipse.mtj.ui.templates.mdebug" context="org.eclipse.mtj.preprocess"
		enabled="true" autoinsert="false">//#mdebug ${debug}
	${cursor}
//#enddebug
	</template>

</templates>
